> ## Documentation Index
> Fetch the complete documentation index at: https://api.polymarketanalytics.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Kalshi Markets

> Search markets on Kalshi using different filters including ticker, status, volume, and etc.

**Platform:** Kalshi\
**Endpoint:** `POST /v2/semantic/retrieve/parameterized`\
**Authentication:** Bearer token

## Query parameters

All requests use `agent_id` `565` (Kalshi Markets). Set filters inside `params` in the playground — all values must be strings.

| Parameter | Type | Description |
| - | - | - |
| `ticker` | String | Market ticker (exact match). |
| `event_ticker` | String | Event ticker. |
| `title` | String | Market title search text. |
| `status` | String | Market status (for example, `active` or `finalized`). |
| `close_time_min` | String | Close time at or after this Unix timestamp in seconds. |
| `close_time_max` | String | Close time at or before this Unix timestamp in seconds. |

## Example Request

```bash cURL theme={null}
curl --request POST \
  --url https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized \
  --header 'Authorization: Bearer YOUR_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "agent_id": 565,
  "params": {
    "ticker": "KXSOL15M-26MAR180800-00",
    "event_ticker": "KXSOL15M-26MAR180800",
    "title": "SOL price",
    "status": "finalized",
    "close_time_min": "1773589812",
    "close_time_max": "1774021812"
  },
  "pagination": {
    "limit": 10,
    "offset": 0
  },
  "formatter_config": {
    "format_type": "raw"
  }
}'
```

```python Python theme={null}
import requests

response = requests.post(
    "https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized",
    headers={"Authorization": "Bearer YOUR_TOKEN"},
    json={
    "agent_id": 565,
    "params": {
        "ticker": "KXSOL15M-26MAR180800-00",
        "event_ticker": "KXSOL15M-26MAR180800",
        "title": "SOL price",
        "status": "finalized",
        "close_time_min": "1773589812",
        "close_time_max": "1774021812"
    },
    "pagination": {
        "limit": 10,
        "offset": 0
    },
    "formatter_config": {
        "format_type": "raw"
    }
}
)

print(response.json())
```

```javascript JavaScript theme={null}
const response = await fetch("https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized", {
  method: "POST",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: JSON.stringify({
  "agent_id": 565,
  "params": {
    "ticker": "KXSOL15M-26MAR180800-00",
    "event_ticker": "KXSOL15M-26MAR180800",
    "title": "SOL price",
    "status": "finalized",
    "close_time_min": "1773589812",
    "close_time_max": "1774021812"
  },
  "pagination": {
    "limit": 10,
    "offset": 0
  },
  "formatter_config": {
    "format_type": "raw"
  }
})
});

const data = await response.json();
```

## Example Response

```json theme={null}
{
  "timestamp": "",
  "params": {
    "close_time_max": "1774021812",
    "close_time_min": "1773589812",
    "event_ticker": "KXSOL15M-26MAR180800",
    "status": "finalized",
    "ticker": "KXSOL15M-26MAR180800-00",
    "title": "SOL price"
  },
  "pagination": {
    "limit": 10,
    "offset": 0,
    "has_more": false
  },
  "data": {
    "results": [
      {
        "close_time": "2026-03-18T12:00:00Z",
        "created_time": "2026-03-18T00:01:21.613032Z",
        "event_ticker": "KXSOL15M-26MAR180800",
        "expiration_time": "2026-03-25T12:00:00Z",
        "last_price": 0.8,
        "open_time": "2026-03-18T11:45:00Z",
        "result": "no",
        "status": "finalized",
        "ticker": "KXSOL15M-26MAR180800-00",
        "title": "SOL price up in next 15 mins?",
        "volume": 4422,
        "volume_24h": 4422
      }
    ]
  }
}
```

### Response fields

| Field | Type | Description |
| - | - | - |
| `close_time` | String (ISO 8601) | Timestamp when the market was closed to trading |
| `created_time` | String (ISO 8601) | Timestamp when the market was created |
| `event_ticker` | String | Event ticker |
| `expiration_time` | String (ISO 8601) | Timestamp when the market expires and is no longer valid |
| `last_price` | Integer | Last traded price of the market |
| `open_time` | String (ISO 8601) | Timestamp when the market opened for trading |
| `status` | String | Current market status (for example, `active`, `finalized`) |
| `ticker` | String | Ticker for this specific market |
| `title` | String | Market question describing the event and outcome being traded |
| `volume` | Integer | Total trading volume for the market |
| `volume_24h` | Integer | Trading volume in the last 24 hours |
| `result` | String | Final result (outcome) of this market |


## OpenAPI

````yaml /api-reference/kalshi-markets.openapi.json POST /api/v2/semantic/retrieve/parameterized
openapi: 3.1.0
info:
  title: Falcon API — Kalshi Markets
  version: 1.0.0
servers:
  - url: https://narrative.agent.heisenberg.so
    description: Production
security:
  - bearerAuth: []
paths:
  /api/v2/semantic/retrieve/parameterized:
    post:
      tags:
        - Kalshi
      summary: Kalshi Markets
      description: >-
        Search Kalshi markets using filters such as ticker, status, title, and
        close time range.
      operationId: kalshiMarkets
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KalshiMarketsRequest'
            examples:
              default:
                summary: Search finalized SOL markets
                value:
                  agent_id: 565
                  params:
                    ticker: KXSOL15M-26MAR180800-00
                    event_ticker: KXSOL15M-26MAR180800
                    title: SOL price
                    status: finalized
                    close_time_min: '1773589812'
                    close_time_max: '1774021812'
                  pagination:
                    limit: 10
                    offset: 0
                  formatter_config:
                    format_type: raw
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KalshiMarketsResponse'
        '400':
          description: Bad request — check params
        '401':
          description: Unauthorized — check your Bearer token
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request POST \
              --url https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized \
              --header 'Authorization: Bearer YOUR_TOKEN' \
              --header 'Content-Type: application/json' \
              --data '{
              "agent_id": 565,
              "params": {
                "ticker": "KXSOL15M-26MAR180800-00",
                "event_ticker": "KXSOL15M-26MAR180800",
                "title": "SOL price",
                "status": "finalized",
                "close_time_min": "1773589812",
                "close_time_max": "1774021812"
              },
              "pagination": { "limit": 10, "offset": 0 },
              "formatter_config": { "format_type": "raw" }
            }'
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.post(
                "https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized",
                headers={"Authorization": "Bearer YOUR_TOKEN"},
                json={
                    "agent_id": 565,
                    "params": {
                        "ticker": "KXSOL15M-26MAR180800-00",
                        "event_ticker": "KXSOL15M-26MAR180800",
                        "title": "SOL price",
                        "status": "finalized",
                        "close_time_min": "1773589812",
                        "close_time_max": "1774021812",
                    },
                    "pagination": {"limit": 10, "offset": 0},
                    "formatter_config": {"format_type": "raw"},
                },
            )

            print(response.json())
        - lang: javascript
          label: JavaScript
          source: |-
            const response = await fetch(
              "https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized",
              {
                method: "POST",
                headers: {
                  Authorization: "Bearer YOUR_TOKEN",
                  "Content-Type": "application/json",
                },
                body: JSON.stringify({
                  agent_id: 565,
                  params: {
                    ticker: "KXSOL15M-26MAR180800-00",
                    event_ticker: "KXSOL15M-26MAR180800",
                    title: "SOL price",
                    status: "finalized",
                    close_time_min: "1773589812",
                    close_time_max: "1774021812",
                  },
                  pagination: { limit: 10, offset: 0 },
                  formatter_config: { format_type: "raw" },
                }),
              }
            );

            const data = await response.json();
components:
  schemas:
    KalshiMarketsRequest:
      type: object
      required:
        - params
      properties:
        agent_id:
          type: integer
          enum:
            - 565
          default: 565
          x-default: 565
          description: Kalshi Markets agent ID.
        params:
          $ref: '#/components/schemas/KalshiMarketsParams'
        pagination:
          $ref: '#/components/schemas/KalshiMarketsPagination'
        formatter_config:
          $ref: '#/components/schemas/KalshiMarketsFormatterConfig'
    KalshiMarketsResponse:
      type: object
      readOnly: true
      properties:
        timestamp:
          type: string
          readOnly: true
        params:
          $ref: '#/components/schemas/KalshiMarketsResponseParams'
        pagination:
          type: object
          readOnly: true
          properties:
            limit:
              type: integer
              readOnly: true
            offset:
              type: integer
              readOnly: true
            has_more:
              type: boolean
              readOnly: true
        data:
          type: object
          readOnly: true
          properties:
            results:
              type: array
              readOnly: true
              items:
                type: object
                readOnly: true
                additionalProperties: true
        request_id:
          type: string
          readOnly: true
    KalshiMarketsParams:
      type: object
      description: Filter parameters. All values must be strings.
      additionalProperties: false
      properties:
        ticker:
          type: string
          default: KXSOL15M-26MAR180800-00
          description: Market ticker (exact match).
        event_ticker:
          type: string
          default: KXSOL15M-26MAR180800
          description: Event ticker.
        title:
          type: string
          default: SOL price
          description: Market title search text.
        status:
          type: string
          enum:
            - active
            - finalized
          default: finalized
          description: Market status (for example, active or finalized).
        close_time_min:
          type: string
          default: '1773589812'
          description: Close time at or after this Unix timestamp in seconds, inclusive.
        close_time_max:
          type: string
          default: '1774021812'
          description: Close time at or before this Unix timestamp in seconds, inclusive.
    KalshiMarketsPagination:
      type: object
      properties:
        limit:
          type: integer
          minimum: 1
          maximum: 200
          default: 10
          description: Maximum number of records returned per request.
        offset:
          type: integer
          minimum: 0
          default: 0
          description: Number of records to skip before returning results.
    KalshiMarketsFormatterConfig:
      type: object
      properties:
        format_type:
          type: string
          enum:
            - raw
          default: raw
          description: Output format. Use "raw" for structured JSON.
    KalshiMarketsResponseParams:
      type: object
      readOnly: true
      properties:
        ticker:
          type: string
          readOnly: true
        event_ticker:
          type: string
          readOnly: true
        title:
          type: string
          readOnly: true
        status:
          type: string
          readOnly: true
        close_time_min:
          type: string
          readOnly: true
        close_time_max:
          type: string
          readOnly: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Your Falcon API key from the dashboard

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.